package com.yijia.station.mapper;

import java.util.List;
import com.yijia.station.domain.StationPic;

/**
 * 油站支付管理图片Mapper接口
 * 
 * @author yijia
 * @date 2021-03-19
 */
public interface StationPicMapper 
{
    /**
     * 查询油站支付管理图片
     * 
     * @param id 油站支付管理图片ID
     * @return 油站支付管理图片
     */
    public StationPic selectStationPicById(Long id);

    /**
     * 查询油站支付管理图片列表
     * 
     * @param stationPic 油站支付管理图片
     * @return 油站支付管理图片集合
     */
    public List<StationPic> selectStationPicList(StationPic stationPic);

    /**
     * 新增油站支付管理图片
     * 
     * @param stationPic 油站支付管理图片
     * @return 结果
     */
    public int insertStationPic(StationPic stationPic);

    /**
     * 修改油站支付管理图片
     * 
     * @param stationPic 油站支付管理图片
     * @return 结果
     */
    public int updateStationPic(StationPic stationPic);

    /**
     * 删除油站支付管理图片
     * 
     * @param id 油站支付管理图片ID
     * @return 结果
     */
    public int deleteStationPicById(Long id);

    /**
     * 批量删除油站支付管理图片
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteStationPicByIds(Long[] ids);


    /**
     * 根据对象删除数据
     */
    public void deleteStationPay(StationPic stationPic);
}
